﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Windows.Media.Imaging;

namespace MinecraftLauncher.Model
{
    class MCVersion
    {
        public MCVersion(string sourceFile)
        {
            this.Name = sourceFile.Split('\\').Last();
            this.Name = this.Name.Substring(0, this.Name.Length - 4);
            this.SourceFile = sourceFile;
            this.Image = new BitmapImage(new Uri(@"/Assets/Images/Grass.png", UriKind.Relative));
        }

        public override string ToString()
        {
            return string.Format("{0} {1}", Name, Description);
        }

        public string Name { get; set; }
        public string Description { get; set; }
        public string Path { get; set; }
        public string Version { get; set; }
        public string SourceFile { get; set; }
        public BitmapImage Image { get; set; }
    }
}
