﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MinecraftLauncher.Model;

namespace MinecraftLauncher.Services
{
    public interface ILibraryService
    {
        public IEnumerable<MCVersion> listAllVersions();
        public IEnumerable<MCVersion> listSpecificVersion(string version);

        public MCVersion addVersion(MCVersion version);
        public MCVersion editVersion(string path, MCVersion version);

        public MCVersion setPath(string newPath, MCVersion version);

        public void deleteVersion(MCVersion version);
    }
}
